#include <bits/stdc++.h>
#define endl '\n'
//#define int long long

using namespace std;

const long long longlongmax=9223372036854775807;
const int modul=998244353;
const long long mod = 1e9 + 7;


mt19937 mt(chrono::steady_clock::now().time_since_epoch().count());

const int N=1009;
int niz[N];


int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    //freopen("seating.in","r",stdin);
    //freopen("seating.out","w",stdout);

    int n,L;
    cin >> n >> L;
    for(int i=1; i<=n; i++) cin >> niz[i];
    int rez=-1;
    for(int i=1; i<=n; i++){
        if(niz[i]<=L){
            rez=i;
            break;
        }
    }
    cout << rez;



    return 0;
}
/*
    abcde
    01234
    04321 --> 12340
              0   1
    011
    110

1
3 1
1 2 3
3 5

*/